import { CardInterpolationProps, CardInterpolatedStyle } from '../types';
/**
 * Standard iOS-style slide in from the right.
 */
export declare function forHorizontalIOS({ progress: { current, next }, layouts: { screen }, }: CardInterpolationProps): CardInterpolatedStyle;
/**
 * Standard iOS-style slide in from the bottom (used for modals).
 */
export declare function forVerticalIOS({ progress: { current }, layouts: { screen }, }: CardInterpolationProps): CardInterpolatedStyle;
/**
 * Standard iOS-style modal animation in iOS 13.
 */
export declare function forModalPresentationIOS({ index, progress: { current, next }, layouts: { screen }, }: CardInterpolationProps): CardInterpolatedStyle;
/**
 * Standard Android-style fade in from the bottom for Android Oreo.
 */
export declare function forFadeFromBottomAndroid({ progress: { current }, layouts: { screen }, closing, }: CardInterpolationProps): CardInterpolatedStyle;
/**
 * Standard Android-style wipe from the bottom for Android Pie.
 */
export declare function forRevealFromBottomAndroid({ progress: { current, next }, layouts: { screen }, }: CardInterpolationProps): CardInterpolatedStyle;
