/// <reference types="react" />
import { StyleProp, ViewStyle } from 'react-native';
import { Layout, Route, HeaderScene, NavigationProp, HeaderStyleInterpolator } from '../../types';
export declare type Props = {
    mode: 'float' | 'screen';
    layout: Layout;
    scenes: Array<HeaderScene<Route> | undefined>;
    navigation: NavigationProp;
    getPreviousRoute: (props: {
        route: Route;
    }) => Route | undefined;
    onContentHeightChange?: (props: {
        route: Route;
        height: number;
    }) => void;
    styleInterpolator: HeaderStyleInterpolator;
    style?: StyleProp<ViewStyle>;
};
export default function HeaderContainer({ mode, scenes, layout, navigation, getPreviousRoute, onContentHeightChange, styleInterpolator, style, }: Props): JSX.Element;
